@Article{ZienZhu1987,
  author =       {O.C. Zienkiewicz and J.Z. Zhu},
  title =        {{A simple error estimator and adaptive procedure for practical engineering analysis}},
  journal =      {Internat. J. Num. Meth. Eng.},
  year =         {1987},
  volume =       {{\bf 24}},
  pages =        {337-357}
}

@Book{ZienTayl2000,
  author = 	 {O.C. Zienkiewicz and R.L. Taylor},
  title = 	 {{The Finite Element Method - The Basis}},
  publisher = 	 {Butterworth-Heinemann},
  year = 	 {2000},
  volume = 	 {1},
  edition =      {fifth}
}

@Book{Bathe1996,
  author = 	 {Klaus-Jürgen Bathe},
  title = 	 {{Finite Element Procedures}},
  publisher = 	 {Prentice-Hall},
  year = 	 {1996}
}

@Book{Gamma1995,
  author = 	 {Erich Gamma and Richard Helm and Ralph Johnson and John Vlissides},
  title = 	 {{Design Patterns - Elements of Reusable Object-Oriented Software}},
  publisher = 	 {Addison Wesley},
  year = 	 {1995}
}

@Article{Cowper1973,
  author = 	 {G.R. Cowper},
  title = 	 {{Gaussian Quadrature Formulas For Triangles}},
  journal = 	 {Internat. J. Num. Meth. Eng.},
  year = 	 {1973},
  volume = 	 {{\bf 7}},
  pages = 	 {405-408}
}

@Article{Archer1999,
  author = 	 {G.C. Archer and G. Fenves and C. Thewalt},
  title = 	 {{A new object-oriented finite element analysis program architecture}},
  journal = 	 {Computers and Structures},
  year = 	 {1999},
  volume = 	 {{\bf 70}},
  pages = 	 {63-75}
}

@Article{Choo2006,
  author = 	 {{Yeon Seok Choo, Noori Choi and Byung Chai Lee}},
  title = 	 {{Quadrilateral and triangular plane elements with rotational degrees of freedom based on the hybrid Trefftz method}},
  journal = 	 {Finite Elements in Analysis and Design},
  year = 	 {2006},
  volume = 	 {{42}},
  pages = 	 {1002-1008}
}

@Booklet{CelFest2004,
  author = 	 {C.C. Celigoj},
  title = 	 {{Festigkeitslehre}},
  howpublished = {Institut für Festigkeitslehre},
  year = 	 {2004},
  address = 	 {Graz}
}

@Booklet{CelFE1998,
  author = 	 {C.C. Celigoj},
  title = 	 {{Methode der Finiten Elemente}},
  howpublished = {Institut für Festigkeitslehre},
  year = 	 {1998},
  address = 	 {Graz}
}

@Booklet{Cel2D2000,
  author = 	 {C.C. Celigoj},
  title = 	 {{2d - Bauteile}},
  howpublished = {Institut für Festigkeitslehre},
  year = 	 {2000},
  address = 	 {Graz}
}

@Book{Parkus1998,
  author = 	 {Heinz Parkus},
  title = 	 {{Mechanik der festen Körper}},
  publisher = 	 {Springer},
  year = 	 {1998}
}

@Book{Goering1993,
  author = 	 {Herbert Goering and Hans-Görg Roos and Lutz Tobiska},
  title = 	 {Finite-Element-Methode},
  publisher = 	 {Akademie Verlag},
  year = 	 {1993}
}

@Book{Stroustrup2006,
  author = 	 {Bjarne Stroustrup},
  title = 	 {{The C++ Programming Language - Special Edition}},
  publisher = 	 {{AT\&T}},
  year = 	 {2006}
}

@Book{Press2005,
  author = 	 {William Press and Saul Teukolsky and William Vetterling and Brian Flannery},
  title = 	 {{Numerial Recipies in C++}},
  publisher = 	 {Cambridge University Press},
  year = 	 {2005}
}

@Book{Lapack,
      AUTHOR = {Anderson, E. and Bai, Z. and Bischof, C. and
                Blackford, S. and Demmel, J. and Dongarra, J. and
                Du Croz, J. and Greenbaum, A. and Hammarling, S. and
                McKenney, A. and Sorensen, D.},
      TITLE = {{LAPACK} Users' Guide},
      EDITION = {Third},
      PUBLISHER = {Society for Industrial and Applied Mathematics},
      YEAR = {1999},
      ADDRESS = {Philadelphia, PA},
      ISBN = {0-89871-447-8 (paperback)}
}

@Article{Blas1,
  author = 	 {J. Dongarra},
  title = 	 {{Basic Linear Algebra Subprograms Technical Forum Standard}},
  journal = 	 {International Journal of High Performance Applications and Supercomputing},
  year = 	 {2002},
  volume = 	 {16},
  pages = 	 {1-111},
}

@Article{Blas2,
  author = 	 {J. Dongarra},
  title = 	 {{Basic Linear Algebra Subprograms Technical Forum Standard}},
  journal = 	 {International Journal of High Performance Applications and Supercomputing},
  year = 	 2002,
  volume = 	 {16},
  pages = 	 {115-199},
}

@Book{Girkmann1956,
  author = 	 {Karl Girkmann},
  title = 	 {Flächentragwerke},
  publisher = 	 {Springer},
  year = 	 {1956},
}

@Book{BonetWood2008,
  author = 	 {Javier Bonet and Richard D. Wood},
  title = 	 {Nonlinear Continuum Mechanics for Finite Element Analysis},
  publisher = 	 {Cambridge University Press},
  edition = 	 {2nd},
  year = 	 2008,
}

@Article{WuXuLi2008,
  author =       {Baisheng Wu and Zhonghai Xu and Zhengguang Li},
  title =        {{A note on imposing displacement boundary conditions in finite element analysis}},
  journal =      {Communications in Numerical Methods in Engineering},
  year =         {2008},
  volume =       {24},
  pages =        {777-784}
}

@Book{Schwarz2006,
  author = 	 {Hans Rudolf Schwarz and Norbert Köckler},
  title = 	 {Numerische Mathematik},
  publisher = 	 {Teubner},
  year = 	 2006,
}

@Book{Voigt2008,
author =         {Woldemar Voigt},
title =          {{Die fundamentalen physikalischen Eigenschaften der Kristalle in elementarer Darstellung}},
year =           {2008},
publisher = 	 {VDM Verlag}
}

@misc{wikiProgrammierstil,
author = {Wikipedia},
title  = {Programmierstil},
howpublished = {\url{http://de.wikipedia.org/wiki/Programmierstil#Weblinks}},
year = {2012}
}

@misc{numpyGaussLegendre,
author = {Numpy},
title  = {{Numpy Gauss-Legendre quadrature}},
howpublished = {\url{http://www.scipy.org/doc/api_docs/SciPy.special.orthogonal.html#p_roots}},
year = 2012
}

@misc{gmsh,
author = {{Christophe Geuzaine} and {Jean-François Remacle}},
title  = {{Gmsh: a three-dimensional finite element mesh generator with built-in pre- and post-processing facilities}},
howpublished = {\url{http://www.geuz.org/gmsh/}},
year = 2012
}

@misc{vtk,
author = {{Inc. Kitware}},
title  = {{Visualization Toolkit (VTK)}},
howpublished = {\url{http://http://www.vtk.org/}},
year = 2012
}
